An article with only hiddencats show an empy category box
Closed, ResolvedPublic

Description

A grey empty box (catlinks) is shown for articles with only have hidden categories.


Version: 1.13.x
Severity: enhancement
URL: http://en.wikipedia.org/wiki/Early_childhood_education

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz13234.
Platonides created this task.Via LegacyMar 3 2008, 4:07 PM
brion added a comment.Via ConduitMar 3 2008, 7:45 PM
  • Bug 13152 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitMar 5 2008, 8:43 AM

dungodung wrote:

*** Bug 13254 has been marked as a duplicate of this bug. ***

Raymond added a comment.Via ConduitMar 6 2008, 9:52 PM
  • Bug 13277 has been marked as a duplicate of this bug. ***
Raymond added a comment.Via ConduitMar 7 2008, 5:52 AM
  • Bug 13278 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitMar 7 2008, 2:36 PM

ayg wrote:

(From bug 13278 comment #1)

The interface for Skin::getCategoryLinks() will have to be changed to return
the enclosing div too, or some other marker to indicate whether it should all
be hidden or not. Easy but not a one- or two-line fix.

werdna added a comment.Via ConduitMar 9 2008, 11:45 AM

Fixed in r31731.

bzimport added a comment.Via ConduitMar 9 2008, 11:59 AM

herd wrote:

Note that divs id=catlinks and class=catlinks have now been merged into one for this fix.

Also note that the CSS on two skins, chick and modern, now have some duplicate and contrary definitions, for example in /skins/modern/main.css:

.catlinks {
border: solid 1px #bbbbbb;
background-color: #f0f0f0;
padding: 0.5em 0.5em 0.5em 0.5em;
margin: 0 0 0 0;
}
.catlinks {
margin: 0 0 0 0;
padding: 0 0 0 0;
}

The second block should probably just be removed. As should ".catlinks { margin: 0; padding: 0; }" from skins/chick/main.css

Lupo added a comment.Via ConduitMar 20 2008, 3:16 PM

If a page contains only hidden categories, I'm no longer shown them despite having my preferences set to see them... of course I can work around this by adding .catlinks-allhidden { display:block } to my monobook.css, but it'd be better if the user preferences were taken into account up front.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.